// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) Posts() Posts { return Posts(t) }

type Posts struct{ alias string }

func (t Posts) TableAlias() string { return t.alias }
func (t Posts) name() string       { return "Posts" }
func (t Posts) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t Posts) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.ID(),
		c.Kind(),
		c.UserID(),
		c.OwnerID(),
		c.CircleID(),
		c.CreatedAt(),
		c.DeletedAt(),
		c.OwnerKind(),
		c.LanguageCode(),
	}
}

func (t Posts) Columns() PostsCols { return PostsCols{tableAlias: t.alias} }

type PostsCols struct{ tableAlias string }

func (c PostsCols) ID() string           { return colName(c.tableAlias, "ID") }           // STRING(36)
func (c PostsCols) Kind() string         { return colName(c.tableAlias, "Kind") }         // INT64
func (c PostsCols) UserID() string       { return colName(c.tableAlias, "UserID") }       // STRING(36)
func (c PostsCols) OwnerID() string      { return colName(c.tableAlias, "OwnerID") }      // STRING(36) NULL
func (c PostsCols) CircleID() string     { return colName(c.tableAlias, "CircleID") }     // STRING(36)
func (c PostsCols) CreatedAt() string    { return colName(c.tableAlias, "CreatedAt") }    // TIMESTAMP
func (c PostsCols) DeletedAt() string    { return colName(c.tableAlias, "DeletedAt") }    // TIMESTAMP NULL
func (c PostsCols) OwnerKind() string    { return colName(c.tableAlias, "OwnerKind") }    // INT64 DEFAULT (0)
func (c PostsCols) LanguageCode() string { return colName(c.tableAlias, "LanguageCode") } // STRING(2)
